Subject: bug#767: 23.0.60; compilation-start gives bad default-directory

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Mon, 08 Sep 2008 01:48:48 +0200

Eli Zaretskii wrote:
>> From: Stefan Monnier <[email-masked]>
>> Date: Sun, 07 Sep 2008 15:34:10 -0400
>> Cc: [email-masked], [email-masked]
>>
>>> If on w32 default-directory is something like c:\top\sub then the
>> Then it's a bug.  C-h v default-directory says:
>>
>>    Name of default directory of current buffer.  Should end with slash.
>>    To interactively change the default directory, use command `cd'.
>>
>> So if it doesn't end in slash, we have a problem.
> 
> It does end in a slash on my machine (also on MS-Windows).
> 
> I think the original problem is that it uses backslashes instead of
> forward slashes.

No, but I do not understand now why the final forward slash was missing.

But of course it might also mean trouble that default-directory when you
start Emacs on w32 uses backslashes. Is there any reason not to change that?